> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve order refund



## OpenAPI

````yaml /openapi.json get /v1/order_refunds/{id}/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/order_refunds/{id}/:
    get:
      tags:
        - Order Refunds
      summary: Retrieve order refund
      operationId: v1_order_refunds_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderRefund'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    OrderRefund:
      type: object
      properties:
        id:
          type: string
          format: uuid
        bigcommerce_id:
          type: integer
        order:
          $ref: '#/components/schemas/ThinOrder'
        created_at:
          type: string
          format: date-time
        created_by:
          allOf:
            - $ref: '#/components/schemas/User'
          nullable: true
        reason:
          $ref: '#/components/schemas/ReasonEnum'
        status:
          $ref: '#/components/schemas/OrderRefundStatusEnum'
        notes:
          type: string
          minLength: 1
        total_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
          description: The total amount refunded, including tax.
        tax_amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
          description: The amount of tax refunded.
        items:
          type: array
          items:
            $ref: '#/components/schemas/OrderRefundItem'
      required:
        - bigcommerce_id
        - created_at
        - created_by
        - id
        - items
        - notes
        - order
        - reason
        - status
        - tax_amount
        - total_amount
    ThinOrder:
      type: object
      properties:
        id:
          type: string
          format: uuid
        bigcommerce_id:
          type: integer
      required:
        - bigcommerce_id
        - id
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
        email:
          type: string
          format: email
          minLength: 1
        picture:
          type: string
          format: uri
          minLength: 1
      required:
        - email
        - id
        - name
        - picture
    ReasonEnum:
      enum:
        - requested_by_customer
        - fraudulent
        - duplicate
        - other
      type: string
      description: |-
        * `requested_by_customer` - requested_by_customer
        * `fraudulent` - fraudulent
        * `duplicate` - duplicate
        * `other` - other
    OrderRefundStatusEnum:
      enum:
        - succeeded
        - pending
        - failed
      type: string
      description: |-
        * `succeeded` - succeeded
        * `pending` - pending
        * `failed` - failed
    OrderRefundItem:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/OrderRefundTypeEnum'
          readOnly: true
        amount:
          type: string
          format: decimal
          pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
          nullable: true
          readOnly: true
          description: Will be `null` if `type == "product"`.
        line_item_id:
          type: string
          format: uuid
          nullable: true
        quantity:
          type: integer
          nullable: true
          description: Will be `null` if `type != "product"`.
      required:
        - amount
        - line_item_id
        - quantity
        - type
    OrderRefundTypeEnum:
      type: string
      enum:
        - product
        - order
        - shipping
        - handling
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````